#Region "Header"
Imports System
Imports System.Diagnostics
Imports Microsoft.VisualBasic
Imports AmosEngineLib
Imports AmosGraphics
Imports AmosEngineLib.AmosEngine.TMatrixID
Imports PBayes
#End Region
Module MainModule
	Public Sub Main()
		Dim Sem as AmosEngine
		Sem = new AmosEngine
		Sem.TextOutput
		AnalysisProperties(Sem)
		ModelSpecification(Sem)
		Sem.FitAllModels()
		Sem.Dispose()
	End Sub
	
	Sub ModelSpecification(Sem as AmosEngine)
		Sem.ModelMeansAndIntercepts
		Sem.GenerateDefaultCovariances(False)
	
		Sem.BeginGroup("E:\Dokumente und Einstellungen\baltes\Eigene Dateien\Skripte u. Kurse\Amos\Skripte\Version 18\2010.06 (in Bearbeitung)\CovEst\Attg_yng.sav"	, "Attg_yng"	)
			Sem.GroupName("Group number 1")
			Sem.Cov("recall1", "recall2")
			Sem.Cov("recall1", "place1")
			Sem.Cov("recall1", "place2")
			Sem.Cov("recall2", "place1")
			Sem.Cov("place1", "place2")
			Sem.Cov("recall2", "place2")
	
	
			Sem.Mean("recall2")
			Sem.Mean("place1")
			Sem.Mean("place2")
			Sem.Mean("recall1")
		Sem.Model("Default model", "")
	End Sub
	
	Sub AnalysisProperties(Sem as AmosEngine)
		Sem.Iterations(50)
		Sem.InputUnbiasedMoments
		Sem.FitMLMoments
		Sem.Standardized
		Sem.SampleMoments
		Sem.Seed(1)
	End Sub
End Module
