#Region "Header"
Imports System
Imports System.Diagnostics
Imports Microsoft.VisualBasic
Imports AmosEngineLib
Imports AmosGraphics
Imports AmosEngineLib.AmosEngine.TMatrixID
Imports PBayes
#End Region
Module MainModule
	Public Sub Main()
		Dim Sem as AmosEngine
		Sem = new AmosEngine
		Sem.TextOutput
		AnalysisProperties(Sem)
		ModelSpecification(Sem)
		Sem.FitAllModels()
		Sem.Dispose()
	End Sub
	
	Sub ModelSpecification(Sem as AmosEngine)
		Sem.GenerateDefaultCovariances(False)
	
		Sem.BeginGroup("E:\Dokumente und Einstellungen\baltes\Eigene Dateien\Skripte u. Kurse\Amos\Skripte\Version 18\2010.06 (in Bearbeitung)\Restrict\Attg_yng.sav"	, "Attg_yng"	)
			Sem.GroupName("Group number 1")
			Sem.Cov("place2", "recall2", "c_rp")
			Sem.Cov("recall1", "place1", "c_rp")
			Sem.Cov("place1", "place2")
			Sem.Cov("place1", "recall2")
			Sem.Cov("recall1", "place2")
			Sem.Cov("recall2", "recall1")
	
			Sem.Var("recall1", "v_r")
			Sem.Var("recall2", "v_r")
			Sem.Var("place1", "v_p")
			Sem.Var("place2", "v_p")
		Sem.Model("Default model", "")
	End Sub
	
	Sub AnalysisProperties(Sem as AmosEngine)
		Sem.Iterations(500)
		Sem.InputUnbiasedMoments
		Sem.FitMLMoments
		Sem.Standardized
		Sem.NormalityCheck
		Sem.Seed(1)
	End Sub
End Module
